## hackaround for 
# checking build system type... Invalid configuration `alphaev67-unknown-linux-gnu': machine `alphaev67-unknown' not recognized

%define _host %{_target_platform}
%define _build %{_target_platform}


%define snap 2002-06-11
%define real_version 2.0.pre1

%define glib2_version 2.0.3
%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define gconf2_version 1.2.0
%define gnome_vfs2_version 2.0.0
%define libgnomeui_version 2.0.0
%define libgnome_version 2.0.0
%define rep_gtk_version 0.16.0.90-4
%define librep_version 0.16

Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 2.0
Release: 4
Epoch: 1
Requires: librep >= %{librep_version}, rep-gtk >= %{rep_gtk_version}
Copyright: GPL
Group: User Interface/Desktops
#Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.gz
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/sawfish/sawfish-%{snap}.tar.bz2
PreReq: /sbin/install-info
## If you add themes, be sure to add the tarball to the list
## down below in install section
Source1: CoolClean.tar.gz
Source2: BrushedMetalII.tar.gz
Source3: SawBoxL.tar.gz
Source4: Step.tar.gz
Source5: HeliX-gray.tar.gz
Source6: LockSmith.tar.gz
Source7: Gleam.tar.gz
Source8: STPshiny.tar.gz
Source9: http://tigert.gimp.org/files/sawmill-themes/HeliX-Sweetpill-Crowberry.tar.gz
Source10: FinalStep.tar.gz
Source11: spiffDOME.tar.gz
Source25: sawfish-transparent.png
Source26: sawfish-desktop.tgz
Source27: sawfish-pofiles.tar.gz

BuildPrereq:   gmp-devel texinfo
BuildRequires: librep-devel >= %{librep_version}
BuildRequires: rep-gtk >= %{rep_gtk_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: Xft
BuildRequires: fontconfig
BuildRequires: imlib-devel >= 1.9.13-9


##Patch: sawmill-0.26.patch
Patch: sawfish-redhatdefaults.patch
Patch1: sawfish-0.38-fixcapplet.patch
Patch2: sawfish-0.38-defaultfont.patch
Patch3: sawfish-1.0.1-kinput2.patch

URL: http://sawfish.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Provides: windowmanager
Obsoletes: sawmill sawmill-gnome sawfish-gnome

Obsoletes: sawfish-themer

%description
Sawfish is an extensible window manager that uses a Lisp-based
scripting language. All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language. You can configure sawfish by
writing Lisp code in a personal .sawfishrc file, or using a GTK+
interface. (Note that sawfish was formerly known as sawmill.)

# %package themer
# Summary: A GUI for creating sawfish window manager themes.
# Group: User Interface/Desktops
# Requires: %{name} = %{version}, rep-gtk-libglade
# Obsoletes: sawmill-themer

# %description themer
# The sawfish-themer package contains an optional theme builder for the
# sawfish window manager. Sawfish-themer allows static window themes to
# be created and edited in a graphical environment.

%prep
%setup -q -n sawfish-%{snap}

#%patch -b .redhatdefaults -p1
#%patch1 -b .fixcapplet -p1
%patch2 -b .defaultfont -p1
#%patch3 -b .kinput2 -p1

## these files are not properly encoded
## rm -f po/ko.po po/zh_TW.Big5.po

%build
#CFLAGS="%{optflags} `gtk-config --cflags`"
#export CFLAGS

perl -pi -e 's/1.3.12/2.0.0/g' configure

%configure --disable-themer --without-gdk-pixbuf
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sawfish/%{real_version}/themes
mkdir -p $RPM_BUILD_ROOT%{_bindir}
for tarball in \
    CoolClean.tar.gz \
    BrushedMetalII.tar.gz \
    SawBoxL.tar.gz \
    Step.tar.gz \
    HeliX-gray.tar.gz \
    LockSmith.tar.gz \
    Gleam.tar.gz \
    STPshiny.tar.gz \
    FinalStep.tar.gz \
    spiffDOME.tar.gz \
    HeliX-Sweetpill-Crowberry.tar.gz ; do
     cp $RPM_SOURCE_DIR/$tarball $RPM_BUILD_ROOT%{_datadir}/sawfish/%{real_version}/themes/
done;

make install DESTDIR=$RPM_BUILD_ROOT GNOMEDIR=%{_prefix} host_type=%{_target_platform} infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

#rm $RPM_BUILD_ROOT%{_datadir}/control-center/Sawfish/.order

# This makes the splash screen ugly otherwise
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT%{_datadir}/pixmaps/sawfish.png

# this thing is dumb.
rm -f $RPM_BUILD_ROOT%{_bindir}/sawfish-themer

%find_lang %name

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS FAQ THANKS BUGS TODO
%doc po/sawfish.pot lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST
%{_bindir}/*
%{_datadir}/sawfish/%{real_version}
%{_datadir}/control-center-2.0/capplets/*
#%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%{_datadir}/pixmaps/*
%{_libexecdir}/sawfish/*/%{_target_platform}*
%{_libexecdir}/rep/%{_target_platform}*/sawfish
%{_infodir}/sawfish*

#%files themer
#%defattr(-,root,root)
#%{_bindir}/sawfish-themer
#%dir %{_datadir}/sawfish/%{version}

%changelog
* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- build with new imlib

* Tue Aug 13 2002 Preston Brown <pbrown@localhost.localdomain> 2.0-2
- fix problem with _target_platform macro mis-expansion (#67189)

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- 2002-06-11 snapshot
- fix file list mistake that resulted in total non-workingness

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 2002-05-24 snap, moving to GNOME 2 version
- remove themer subpackage, doesn't compile at the moment
- comment out patches, they no longer apply correctly, 
  means the default setup is going to be very wrong

* Mon Apr 15 2002 Alex Larsson <alexl@redhat.com>
- Added FinalStep and spiffDOME themes

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add kinput2 fix patch #61854

* Wed Mar 13 2002 Havoc Pennington <hp@redhat.com>
- remove funky .order file, #53241

* Fri Mar  8 2002 Havoc Pennington <hp@redhat.com>
- change default font patch to gettexttize the font, suggested by
  Leon, resolves #54491
- do not autocreate workspaces #55889
- focus windows on map #49785

* Thu Feb 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild for db1 stuff

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- revert default font patch (see #51412, #54491)
- upgrade to Sawfish 1.0.1

* Wed Aug 15 2001 Jonathan Blandford <jrb@redhat.com>
- let sawfish own themer.glade

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- Change default font to work in other locales, #51412

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- delete Korean, Chinese translations, were hosing pofile build

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Apr 30 2001 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- New version.

* Mon Mar 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- compile with correct cflags to allow for current glib/gtk rpms

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Tue Mar 06 2001 Havoc Pennington <hp@redhat.com>
- replace desktop entries with new ones that have the encoding fixed

* Mon Feb 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- fix icon (#22462)

* Tue Jan 23 2001 Havoc Pennington <hp@redhat.com>
- put CoolClean back

* Sun Jan 21 2001 Matt Wilson <msw@redhat.com>
- 0.36
- add HeliX-Sweetpill-Crowberry, make it the default
- again, themer package also owns the %%{_datadir}/sawfish/%%{version} directory,
  fixes the "cannot remove /usr/share/sawfish/{version} - directory not empty"
  bug (see Fri Jul 14 2000 changelog entry.  Don't know why this reverted)

* Mon Jan 8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- use %%{version} in requires, don't hardcode 0.34

* Mon Jan 8 2001 Havoc Pennington <hp@redhat.com>
- 0.35
- delete patch that disabled handling of transients for root window,
  similar fix seems to have been applied upstream

* Tue Jan 2 2001 Havoc Pennington <hp@redhat.com>
- BuildPrereq librep-devel, closes #23162

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- Upgrade to 0.34
- Fix redhatdefaults patch to apply again
- Fix roottransients patch to apply again
- Remove patch for delete_event race condition in config tool,
  config tool seems to have been rewritten
- fix up file list
- add build prereqs
- remove configure patch that changed an error to a warning when 
  rep-gtk was wrong
- don't run autoconf
- pass --enable-themer to configure

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Apply patch from John to fix race condition when hitting
  "OK" in the control center. Fixes bug 14789

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Turn off position saving as it completely breaks in bad
  ways in some circumstances. (E.g, icon selection dialog
  for panel launcher.)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Reimplement Aug 01 change (workspace keybindings), 
  don't know where this change went
- Bind next/prev workspace to S-M-Left S-M-Right instead 
  of C-Left C-Right

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Destroy the tooltips, because they suck

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Move workspace selection to global keymap
- Use (activate-workspace 1) instead of select-workspace:1

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Raise transients as well as parent on click

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Don't consider transients of the root window to be transient for 
  their window group

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- added Control+Alt+Delete to the global keymap, bound to gnome-logout
  (this displays a confirm menu by default)

* Tue Jul 25 2000 Matt Wilson <msw@redhat.com>
- nuke non-working themes, fixed CoolClean's shading
- bring up control center on button-2 customize menu
- don't warp cursor when cycling windows

* Mon Jul 24 2000 Matt Wilson <msw@redhat.com>
- 0.30.3

* Tue Jul 18 2000 Havoc Pennington <hp@redhat.com>
- Put raise-window-and-pass-through-click back
- remove iconify/deiconify groups together

* Tue Jul 18 2000 Matt Wilson <msw@redhat.com>
- work around for missing bindings

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- 0.30.2
- themer package also owns the %%{_datadir}/sawfish/%%{version} directory,
  fixes the "cannot remove /usr/share/sawfish/{version} - directory not empty"
  bug

* Tue Jul 11 2000 Havoc Pennington <hp@redhat.com>
- Changes from Jul 3 disappeared somehow; redo them (Move default
  config to custom-defaults.jl, and then change window-keymap per John
  Harper's suggestions)

* Mon Jul 10 2000 Matt Wilson <msw@redhat.com>
- 0.30
- gnome subpackage is gone

* Mon Jul 3 2000 Havoc Pennington <hp@redhat.com>
- Move default config to custom-defaults.jl, and then 
  change window-keymap per John Harper's suggestions

* Sun Jul 2 2000 Matt Wilson <msw@redhat.com>
- 0.29, turn on 'raise transient windows above parents'

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Owen fixed prelight behavior for window titles
- Focus windows when they first appear

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Don't bind button1-click1 to anything, and set raise timeout to 0.
  Hey, maybe this will work!
- Owen hacked CoolClean to have a nicer gradient

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Remove button1-click1 entirely. Seems to work.

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Change button1-click1 to bind to focus-click

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- fixed post scripts to look in %%{_infodir} for info pages

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- 0.28.1

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Go back to workspaces instead of viewports
- Turn off warp-to-focus-window
- put send-window-to-desktop keys in the per-window keymap

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- Fix patch application in spec file
- Put themes in datadir/sawfish/0.28 instead of datadir/sawfish

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- Add some new default settings
- Add more themes

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- 0.28
- FHS packaging

* Mon May 22 2000 Havoc Pennington <hp@redhat.com>
- rep-gtk version is .10, not .10.0

* Wed May 10 2000 Matt Wilson <msw@redhat.com>
- 0.27.1

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new librep (which is rebuilt against new libgmp)

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Sat Apr 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild against newer librep

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.26

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new readline/ncurses

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- 0.25.2

* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- add %clean
- fix stupid useless defines at the start of the spec file.
- setup is -q

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- update to 0.24

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 0.23

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- update to 0.22

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- make that 0.21.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.21

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- Use John's REP_GTK_DONT_INITIALIZE patch

* Fri Nov 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- use Xvfb so that rep can compile .jl's that require gtk

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
